Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class DisplayCapabilities1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.DisplayCapabilities1

public class DisplayCapabilities1 extends Object

Java class for DisplayCapabilities1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DisplayCapabilities1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DispTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}UserInterface2Code"/>
             <element name="NbOfLines" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max3NumericText"/>
             <element name="LineWidth" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max3NumericText"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected UserInterface2Code`
`dispTp`
`protected String`
`lineWidth`
`protected String`
`nbOfLines`

## Constructor Summary

Constructors
Constructor
Description
`DisplayCapabilities1()`

## Method Summary

Modifier and Type
Method
Description
`UserInterface2Code`
`getDispTp()`
Gets the value of the dispTp property.
`String`
`getLineWidth()`
Gets the value of the lineWidth property.
`String`
`getNbOfLines()`
Gets the value of the nbOfLines property.
`void`
`setDispTp(UserInterface2Code value)`
Sets the value of the dispTp property.
`void`
`setLineWidth(String value)`
Sets the value of the lineWidth property.
`void`
`setNbOfLines(String value)`
Sets the value of the nbOfLines property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dispTp

protected UserInterface2Code dispTp

### nbOfLines

protected String nbOfLines

### lineWidth

protected String lineWidth

## Constructor Details

### DisplayCapabilities1

public DisplayCapabilities1()

## Method Details

### getDispTp

public UserInterface2Code getDispTp()
Gets the value of the dispTp property.

Returns:
  possible object is `UserInterface2Code`

### setDispTp

public void setDispTp(UserInterface2Code value)
Sets the value of the dispTp property.

Parameters:
  `value` - allowed object is `UserInterface2Code`

### getNbOfLines

public String getNbOfLines()
Gets the value of the nbOfLines property.

Returns:
  possible object is `String`

### setNbOfLines

public void setNbOfLines(String value)
Sets the value of the nbOfLines property.

Parameters:
  `value` - allowed object is `String`

### getLineWidth

public String getLineWidth()
Gets the value of the lineWidth property.

Returns:
  possible object is `String`

### setLineWidth

public void setLineWidth(String value)
Sets the value of the lineWidth property.

Parameters:
  `value` - allowed object is `String`